javax.xml.registry

## Class UnexpectedObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.registry.JAXRException
      - - javax.xml.registry.UnexpectedObjectException

- All Implemented Interfaces:
    Serializable, JAXRResponse

      public class UnexpectedObjectException
      extends JAXRException

  This exception is thrown when the JAXR provider finds a Object that is out-of-place or of the wrong type within the context of a user request. For example a saveOrganizations request in BusinessLifeCycleManager would throw this Exception if it found an Object other than Organization in the Collection of Objects provided by client to be saved by the request.
  Author:
    Farrukh S. Najmi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.xml.registry.JAXRException

      `cause`

    - ### Fields inherited from interface javax.xml.registry.JAXRResponse

      `STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedObjectException()` Constructs a `JAXRException` object with no reason or embedded Throwable.
    `UnexpectedObjectException(String reason)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
    `UnexpectedObjectException(String reason, Throwable cause)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
    `UnexpectedObjectException(Throwable cause)` Constructs a `JAXRException` object initialized with the given `Throwable` object.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.registry.JAXRException

      `getCause, getMessage, getRequestId, getStatus, initCause, isAvailable`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedObjectException

          public UnexpectedObjectException()

      Constructs a `JAXRException` object with no reason or embedded Throwable.

    - #### UnexpectedObjectException

          public UnexpectedObjectException(String reason)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
      Parameters:
        `reason` - a description of what caused the exception

    - #### UnexpectedObjectException

          public UnexpectedObjectException(String reason,
                                   Throwable cause)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
      Parameters:
        `reason` - a description of what caused the exception
        `cause` - a `Throwable` object that is to be embedded in this `JAXRException` object

    - #### UnexpectedObjectException

          public UnexpectedObjectException(Throwable cause)

      Constructs a `JAXRException` object initialized with the given `Throwable` object.
      Parameters:
        `cause` - the Throwable that caused this Exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.